# keystoneauth1.fixture.discovery module

class keystoneauth1.fixture.discovery.DiscoveryList(href: str | None = None, v2: bool = True, v3: bool = True, v2_id: str = 'v2.0', v3_id: str = 'v3.0', v2_status: str | None = None, v2_updated: datetime | None = None, v2_html: bool = True, v2_pdf: bool = True, v3_status: str | None = None, v3_updated: datetime | None = None, v3_json: bool = True, v3_xml: bool = True)

  Bases: `dict`[`str`, `Any`]

  A List of version elements.

  Creates a correctly structured list of identity service endpoints for use in testing with discovery.

  Parameters:

    - href (string) – The url that this should be based at.

    - v2 (bool) – Add a v2 element.

    - v3 (bool) – Add a v3 element.

    - v2_status (string) – The status to use for the v2 element.

    - v2_updated (DateTime) – The update time to use for the v2 element.

    - v2_html (bool) – True to add a html link to the v2 element.

    - v2_pdf (bool) – True to add a pdf link to the v2 element.

    - v3_status (string) – The status to use for the v3 element.

    - v3_updated (DateTime) – The update time to use for the v3 element.

    - v3_json (bool) – True to add a html link to the v2 element.

    - v3_xml (bool) – True to add a pdf link to the v2 element.

  TEST_URL = 'http://keystone.host:5000/'
  __annotate_func__ = None
  __annotations_cache__ = {}
  __dict__ = mappingproxy({'__module__': 'keystoneauth1.fixture.discovery', '__firstlineno__': 359, '__doc__': 'A List of version elements.\n\nCreates a correctly structured list of identity service endpoints for\nuse in testing with discovery.\n\n:param string href: The url that this should be based at.\n:param bool v2: Add a v2 element.\n:param bool v3: Add a v3 element.\n:param string v2_status: The status to use for the v2 element.\n:param DateTime v2_updated: The update time to use for the v2 element.\n:param bool v2_html: True to add a html link to the v2 element.\n:param bool v2_pdf: True to add a pdf link to the v2 element.\n:param string v3_status: The status to use for the v3 element.\n:param DateTime v3_updated: The update time to use for the v3 element.\n:param bool v3_json: True to add a html link to the v2 element.\n:param bool v3_xml: True to add a pdf link to the v2 element.\n', 'TEST_URL': 'http://keystone.host:5000/', '__init__': <function DiscoveryList.__init__>, 'versions': <property object>, 'add_version': <function DiscoveryList.add_version>, 'add_v2': <function DiscoveryList.add_v2>, 'add_v3': <function DiscoveryList.add_v3>, 'add_microversion': <function DiscoveryList.add_microversion>, 'add_nova_microversion': <function DiscoveryList.add_nova_microversion>, '__static_attributes__': (), '__orig_bases__': (dict[str, typing.Any],), '__dict__': <attribute '__dict__' of 'DiscoveryList' objects>, '__weakref__': <attribute '__weakref__' of 'DiscoveryList' objects>, '__annotate_func__': None, '__annotations_cache__': {}})
  __doc__ = 'A List of version elements.\n\nCreates a correctly structured list of identity service endpoints for\nuse in testing with discovery.\n\n:param string href: The url that this should be based at.\n:param bool v2: Add a v2 element.\n:param bool v3: Add a v3 element.\n:param string v2_status: The status to use for the v2 element.\n:param DateTime v2_updated: The update time to use for the v2 element.\n:param bool v2_html: True to add a html link to the v2 element.\n:param bool v2_pdf: True to add a pdf link to the v2 element.\n:param string v3_status: The status to use for the v3 element.\n:param DateTime v3_updated: The update time to use for the v3 element.\n:param bool v3_json: True to add a html link to the v2 element.\n:param bool v3_xml: True to add a pdf link to the v2 element.\n'
  __firstlineno__ = 359
  __init__(href: str | None = None, v2: bool = True, v3: bool = True, v2_id: str = 'v2.0', v3_id: str = 'v3.0', v2_status: str | None = None, v2_updated: datetime | None = None, v2_html: bool = True, v2_pdf: bool = True, v3_status: str | None = None, v3_updated: datetime | None = None, v3_json: bool = True, v3_xml: bool = True) → None
  __module__ = 'keystoneauth1.fixture.discovery'
  __orig_bases__ = (dict[str, typing.Any],)
  __static_attributes__ = ()
  __weakref__

    list of weak references to the object

  add_microversion(href: str, id: str, *, min_version: str = '', max_version: str = '', status: str | None = None, updated: datetime | None = None) → MicroversionDiscovery

    Add a microversion version to the list.

    The parameters are the same as MicroversionDiscovery.

  add_nova_microversion(href: str, id: str, *, min_version: str = '', version: str = '', status: str | None = None, updated: datetime | None = None) → NovaMicroversionDiscovery

    Add a nova microversion version to the list.

    The parameters are the same as NovaMicroversionDiscovery.

  add_v2(href: str, id: str = 'v2.0', *, html: bool = True, pdf: bool = True, status: str | None = None, updated: datetime | None = None) → V2Discovery

    Add a v2 version to the list.

    The parameters are the same as V2Discovery.

  add_v3(href: str, id: str = 'v3.0', *, json: bool = True, xml: bool = True, status: str | None = None, updated: datetime | None = None) → V3Discovery

    Add a v3 version to the list.

    The parameters are the same as V3Discovery.

  add_version(version: DiscoveryBase) → None

    Add a new version structure to the list.

    Parameters:

      version (dict) – A new version structure to add to the list.

  property versions: list[DiscoveryBase]

class keystoneauth1.fixture.discovery.V2Discovery(href: str, id: str = 'v2.0', *, html: bool = True, pdf: bool = True, status: str | None = None, updated: datetime | None = None)

  Bases: `DiscoveryBase`

  A Version element for a V2 identity service endpoint.

  Provides some default values and helper methods for creating a v2.0 endpoint version structure. Clients should use this instead of creating their own structures.

  Parameters:

    - href (string) – The url that this entry should point to.

    - id (string) – The version id that should be reported. (optional) Defaults to ‘v2.0’.

    - html (bool) – Add HTML describedby links to the structure.

    - pdf (bool) – Add PDF describedby links to the structure.

  _DESC_URL = 'https://developer.openstack.org/api-ref/identity/v2/'
  __annotate_func__ = None
  __annotations_cache__ = {}
  __doc__ = "A Version element for a V2 identity service endpoint.\n\nProvides some default values and helper methods for creating a v2.0\nendpoint version structure. Clients should use this instead of creating\ntheir own structures.\n\n:param string href: The url that this entry should point to.\n:param string id: The version id that should be reported. (optional)\n Defaults to 'v2.0'.\n:param bool html: Add HTML describedby links to the structure.\n:param bool pdf: Add PDF describedby links to the structure.\n\n"
  __firstlineno__ = 242
  __init__(href: str, id: str = 'v2.0', *, html: bool = True, pdf: bool = True, status: str | None = None, updated: datetime | None = None)
  __module__ = 'keystoneauth1.fixture.discovery'
  __static_attributes__ = ()
  add_html_description() → None

    Add the HTML described by links.

    The standard structure includes a link to a HTML document with the API specification. Add it to this entry.

  add_pdf_description() → None

    Add the PDF described by links.

    The standard structure includes a link to a PDF document with the API specification. Add it to this entry.

class keystoneauth1.fixture.discovery.V3Discovery(href: str, id: str = 'v3.0', *, json: bool = True, xml: bool = True, status: str | None = None, updated: datetime | None = None)

  Bases: `DiscoveryBase`

  A Version element for a V3 identity service endpoint.

  Provides some default values and helper methods for creating a v3 endpoint version structure. Clients should use this instead of creating their own structures.

  Parameters:

    - href – The url that this entry should point to.

    - id (string) – The version id that should be reported. (optional) Defaults to ‘v3.0’.

    - json (bool) – Add JSON media-type elements to the structure.

    - xml (bool) – Add XML media-type elements to the structure.

  __annotate_func__ = None
  __annotations_cache__ = {}
  __doc__ = "A Version element for a V3 identity service endpoint.\n\nProvides some default values and helper methods for creating a v3\nendpoint version structure. Clients should use this instead of creating\ntheir own structures.\n\n:param href: The url that this entry should point to.\n:param string id: The version id that should be reported. (optional)\n Defaults to 'v3.0'.\n:param bool json: Add JSON media-type elements to the structure.\n:param bool xml: Add XML media-type elements to the structure.\n"
  __firstlineno__ = 303
  __init__(href: str, id: str = 'v3.0', *, json: bool = True, xml: bool = True, status: str | None = None, updated: datetime | None = None)
  __module__ = 'keystoneauth1.fixture.discovery'
  __static_attributes__ = ()
  add_json_media_type() → None

    Add the JSON media-type links.

    The standard structure includes a list of media-types that the endpoint supports. Add JSON to the list.

  add_xml_media_type() → None

    Add the XML media-type links.

    The standard structure includes a list of media-types that the endpoint supports. Add XML to the list.

class keystoneauth1.fixture.discovery.VersionDiscovery(href: str, id: str, *, status: str | None = None, updated: datetime | None = None)

  Bases: `DiscoveryBase`

  A Version element for non-keystone services without microversions.

  Provides some default values and helper methods for creating a microversion endpoint version structure. Clients should use this instead of creating their own structures.

  Parameters:

    - href (string) – The url that this entry should point to.

    - id (string) – The version id that should be reported.

  __annotate_func__ = None
  __annotations_cache__ = {}
  __doc__ = 'A Version element for non-keystone services without microversions.\n\nProvides some default values and helper methods for creating a microversion\nendpoint version structure. Clients should use this instead of creating\ntheir own structures.\n\n:param string href: The url that this entry should point to.\n:param string id: The version id that should be reported.\n'
  __firstlineno__ = 118
  __init__(href: str, id: str, *, status: str | None = None, updated: datetime | None = None) → None
  __module__ = 'keystoneauth1.fixture.discovery'
  __static_attributes__ = ()

this page last updated: 2026-07-14 15:48:40

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug